// MFCUtil.cpp : implementation file
//


#include "stdafx.h"
#include "MFCUtil.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


// by dhkwon, 20100708, ListBox에 ItemData 세팅 및 에디트 박스 소팅
BOOL CompareLeft(CString &strText, CString &strSearch, int nLength)
{
	CString strLeft = strText.Left(nLength);
	if(strLeft == strSearch)
		return TRUE;
	return FALSE;

}

/*
// Event Type -> 0번 NO EVENT, 1번 워프 소스, 2번 워프 타겟, 3번 패턴 시작,종료 위치타입
//	6번 정지형 오브젝트 몬스터, 7번 회전형 오브젝트 몬스터, 8번 워프 패턴시작/끝 지점
// 10번 기어모드에서 착륙 패턴의 시작 오브젝트
// 11번 기엉모드에서 착륙 패턴의 종료 오브젝트, 오브젝트를 만나면 착륙 상태가 된다.
// 12번 기어모드에서 이륙 패턴의 시작 오브젝트
// 13번 기어모드에서 이륙 패턴의 종료 오브젝트
#define EVENT_TYPE_NO_OBJECT_MONSTER		(EventType_t)0	// 
#define EVENT_TYPE_NOEVENT					(EventType_t)0
#define EVENT_TYPE_WARP						(EventType_t)1
#define EVENT_TYPE_WARP_TARGET				(EventType_t)2
#define EVENT_TYPE_ENTER_BUILDING			(EventType_t)3		// 상점영역 이벤트 - EventParam1(EventAreaIndex), EventParam2(이륙시 이동 할 이륙시작 오브젝트 EventAreaIndex)
#define EVENT_TYPE_LANDING					(EventType_t)4		// 착륙 Object
#define EVENT_TYPE_RACING_CHECK_POTINT		(EventType_t)5		// 레이싱 체크 포인트 Object
#define EVENT_TYPE_OBJECT_MONSTER			(EventType_t)6		// ObjectMonster Position Information Object
//#define EVENT_TYPE_OBJECT_MONSTER_STOP		(EventType_t)6	// 정지형, ObjectMonster Position Object
//#define EVENT_TYPE_OBJECT_MONSTER_ROTATE	(EventType_t)7		// 타겟벡터가 변하는 형태, ObjectMonster Position Object
#define EVENT_TYPE_PATTERN_POINT			(EventType_t)8		// 캐릭터 워프시 패턴의 시작/끝 오브젝트
#define EVENT_TYPE_OBJ_BUILDING_NPC			(EventType_t)9		// 2005-07-21 by cmkwon, 상점 NPC 오브젝트 - EventParam1(EventAreaIndex), NextEventIndex(NPCIndex)
#define EVENT_TYPE_LANDING_PATTERN_START	(EventType_t)10		// 2005-07-14 by cmkwon, 기어모드에서 착륙 패턴의 시작 오브젝트 - EventParam1(EventAreaIndex), NextEventIndex(착륙 목표 오브젝트 EventAreaIndex)
#define EVENT_TYPE_LANDING_PATTERN_END		(EventType_t)11		// 2005-07-14 by cmkwon, 기어모드에서 착륙 패턴의 종료 오브젝트, 오브젝트를 만나면 착륙 상태가 된다. - EventParam1(EventAreaIndex), NextEventIndex(착륙 후 이동 할 목표 오브젝트 EventAreaIndex)
#define EVENT_TYPE_TAKEOFF_PATTERN_START	(EventType_t)12		// 2005-07-14 by cmkwon, 기어모드에서 이륙 패턴의 시작 오브젝트 - EventParam1(EventAreaIndex), NextEventIndex(이륙 목표 오브젝트 EventAreaIndex)
#define EVENT_TYPE_TAKEOFF_PATTERN_END		(EventType_t)13		// 2005-07-14 by cmkwon, 기어모드에서 이륙 패턴의 종료 오브젝트 - EventParam1(EventAreaIndex)
#define EVENT_TYPE_OBJ_ENTER_BUILDING		(EventType_t)14		// 2005-07-22 by cmkwon, 기어가 착륙 후  상점으로 이동할 좌표 오브젝트 - EventParam1(EventAreaIndex)
#define EVENT_TYPE_OBJ_QUEST_OBJECT			(EventType_t)15		// 2005-08-17 by cmkwon, 퀘스트에서 이용되는 충돌 오브젝트 - EventParam1(EventAreaIndex)
#define EVENT_TYPE_CHARACTERMODE_WARP			(EventType_t)21		// 2006-07-14 by cmkwon, 캐릭터모드에서 워프 소스 오브젝트
#define EVENT_TYPE_CHARACTERMODE_WARP_TARGET	(EventType_t)22		// 2006-07-14 by cmkwon, 캐릭터모드에서 워프 타겟 오브젝트
#define EVENT_TYPE_ENTER_BUILDING_BAZAAR		(EventType_t)23		// 2006-07-19 by cmkwon, 개인상점 영역
#define EVENT_TYPE_CHARACTERMODE_DIRECTLY_WARP	(EventType_t)24		// 2007-12-14 by cmkwon, 캐릭터모드에서 바로 워프 시스템 구현 - 이 오브젝트와 충돌시 바로 워프됨

#define EVENT_TYPE_INFI_CINEMA				(EventType_t)30		// 2010. 05. 27 by jskim 시네마 적용 카메라 구현
#define EVENT_TYPE_PARAM_INFI_CINEMA		701					// 2010. 05. 27 by jskim 시네마 적용 카메라 구현

#define EVENT_TYPE_TUTORIAL_GATE_POINT		(EventType_t)100	// 
*/

CString GetEventType(BYTE bEventType)
{
	switch(bEventType)
	{
	case 0: return "";
	case 1: return "Source-warp";
	case 2: return "Get another warp";
	case 3: return "Pattern startup, shutdown, position type";
	case 4: return "Land object";
	case 5: return "Update checkpoint";
	case 6: return "Monster stationary objects";
	case 7: return "Monster-type object rotation";
	case 8: return "Warp pattern Start/End point";
	case 9: return "Store NPC object";
	case 10: return "The start of the landing object's pattern";
	case 11: return "The end of the landing object's pattern";
	case 12: return "The start of the take-off object's pattern";
	case 13: return "The end of the take-off object's pattern";
	case 14: return "After landing, move the coordinates of the object-based gear";
	case 15: return "Collision object that is used in quests";
	case 21: return "In character mode, Warp source object";
	case 22: return "In character mode, Warp target object";
	case 23: return "Individual shops area";
	case 24: return "In character mode, obj collision conflict";
	case 30: return "Implementation of applicable cinema camera";
	case 701: return "Implementation of applicable Cinema Camera 2";
	case 100: return "Gate points tutorial";
	default: return "No Define";
	}
	return "";
}
// by dhkwon, 20100708, ListBox에 ItemData 세팅 및 에디트 박스 소팅
